FUNPAEVT(3)

NAME

pat_addpaevt, pat_frepaevt

SYNOPSYS

struct paevt *pat_addpaevt (lastpaevt, index, usrval)
struct paevt *lastpaevt;
unsigned short index;
char          usrval;
void pat_frepaevt (listpaevt)
struct paevt *listpaevt;

PARAMETERS

lastpaevt
    pointer on the last paevt structure

index
    index of the input-output

usrval
    user predicted value

listpaevt
    list of paevt structures to be deleted

DESCRIPTION

A paevt is a data structure representing an event on a one-bit input-output.

pat_addpaevt() adds a paevt structure at the top of a list of paevt structures. The function returns the pointer of the new list. No check is made by this function.

pat_frepaevt() deletes a list of paevt structures. If the list to be deleted is an empty list (NULL pointer), no action is produced. No check is made by this function.

EXAMPLE

#include <pat106.h>
struct paevt *list;
list = pat_addpaevt (list, 10, '+');
pat_frepaevt (list);

SEE ALSO

libpat(3), paevt(3)